package intrinsic.mx.events;

public class ValidationResultEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public String message;

	/** Variables */
	public intrinsic.Array results;
	public String field;

	/** Constants */
	public static final String INVALID = "invalid";
	public static final String VALID = "valid";
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ValidationResultEvent() {
}

public ValidationResultEvent(String arg0) {
}

public ValidationResultEvent(String arg0, boolean arg1) {
}

public ValidationResultEvent(String arg0, boolean arg1, boolean arg2) {
}

public ValidationResultEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public ValidationResultEvent(String arg0, boolean arg1, boolean arg2, String arg3, intrinsic.Array arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
